﻿@model MakePaymentViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Confirm Payment
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix">

    </div>
    <div class="clearfix margin-bottom20">
        <div class="orderitem-profile place-left one-half">
            <div>
                <div class="avatar-box">
                    <i ng-class="{'jbi-user-male':Model.OrderItem.Gender == 'Male', 'jbi-user-female': Model.OrderItem.Gender == 'Female','jbi-user-male':Model.Gender ===null}"></i>
                </div>
                <div class="info-box">
                     <h2 class="name ellipsis" ng-if="Model.HasProgramScheduleId==true"><span ng-bind="Model.OrderItem.FullName">Participant Name</span></h2>
                    <h2 class="name ellipsis" ng-if="Model.HasProgramScheduleId==false"><span ng-bind="Model.OrderItem.Name">Participant Name</span></h2>
                    <p class="desc">{{Model.OrderItem.Gender}} <span ng-if="Model.OrderItem.Age != 0 && Model.OrderItem.Age != 'undefined'"> {{Model.OrderItem.Age}} </span> <span ng-if="Model.OrderItem.Grade">| Grade {{Model.OrderItem.Grade}}</span></p>
                </div>
            </div>
        </div>
        <div class="orderitem-overview text-center place-left one-half">
            <div class="place-left one-third">
                <b>Confirmation</b>
                <i ng-bind="Model.OrderItem.ConfirmationId"></i>
            </div>
            <div class="place-left one-third" ng-class="{ 'fg-green' : Model.OrderItem.Balance < 0 , 'fg-red' : Model.OrderItem.Balance > 0}">
                <b>Balance</b>
                <i class="balance" ng-bind="(Model.Balance).formatCurrencyWithPenny(2)"></i>
            </div>
            <div class="place-left one-third" ng-class="{ 'fg-green' : Model.OrderItem.Balance < 0 , 'fg-red' : Model.OrderItem.Balance > 0}">
                <b>New balance</b>
                <i class="balance" ng-bind="(Model.NewBalance).formatCurrencyWithPenny(2)"></i>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>

    <div class="clearfix"></div>

    <div>
        <h3 ng-show="Model.SelectedChargeMethod=='0'">I want to record the following payment </h3>
        <h3 ng-show="Model.SelectedChargeMethod=='1'" >I want to record the following payment</h3>
        <h3 ng-show="Model.SelectedChargeMethod=='2' && !(Model.IsStripeEnabled)">I have the payer paypal or credit card and want to charge now </h3>
        <h3 ng-show="Model.SelectedChargeMethod=='2' && Model.IsStripeEnabled && Model.IsPaypalEnabled">I have the payer paypal or credit card and want to charge now </h3>
        <h3 ng-show="Model.SelectedChargeMethod=='2' && Model.IsStripeEnabled && !(Model.IsPaypalEnabled)">I have the payer credit card and want to charge now </h3>
        <h3 ng-show="Model.SelectedChargeMethod=='3'">I just want to send an invoice </h3>
        <div class="clearfix"></div>
    </div>
    <div>
        <div id="orderInstallment" ng-show="Model.HasInstallment && Model.isPayInstallment">
            <table class="table hovered display-dots-on-hover" style="word-wrap:break-word; table-layout: fixed;">
                <thead>
                    <tr>

                        <th class="text-left">Due date</th>
                        <th class="text-left">Amount</th>
                        <th class="text-left">Balance</th>
                        <th class="text-left">New balance</th>
                        <th class="text-left">Last paid date</th>
                    </tr>
                </thead>
                <tbody>

                    <tr ng-repeat="inst in Model.Installments" ng-style="inst.IsSelected && {'color': 'red'}">

                        <td>{{inst.StrInstallmentDate}}</td>
                        <td>{{(inst.Amount).formatCurrencyWithPenny(2)}}</td>
                        <td>{{(inst.Balance).formatCurrencyWithPenny(2)}}</td>
                        <td>{{(inst.NewBalance).formatCurrencyWithPenny(2)}}</td>
                        <td>{{inst.StrPaidDate}}</td>


                    </tr>
                </tbody>
            </table>
        </div>

        <label>Amount: {{(Model.Amount).formatCurrencyWithPenny(2)}}</label>
        <label ng-show="Model.SelectedChargeMethod=='0'">Payment method: {{getPaymentMethodText()}}</label>
        <label ng-show="Model.SelectedChargeMethod=='0'">Payment date: {{formatDate()}}</label>
        <label ng-show="Model.SelectedChargeMethod=='0' && Model.CheckId!=null && Model.CheckId.length>0">Transaction/Check ID: {{Model.CheckId}}</label>
        <label ng-show="Model.Note!=null && Model.Note.length>0">Memo: {{Model.Note}}</label>
        <br />
    </div>
    <div class="input-control checkbox default-style place-left no-margin padding-right50" data-role="input-control" ng-show="Model.SelectedChargeMethod=='0' || Model.SelectedChargeMethod=='4' ">
        <label class="block">
            <input ng-model="@Html.Ang(m => m.SendEmail)" name="sendEmail" ng-value="true" type="checkbox" />
            <span class="check"></span>
            Send confirmation email
        </label>
    </div>
    <div class="clearfix"></div>
    <hr />
    <div class="clearfix"></div>
    <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Back</button>
    <button class="success place-right large button" ng-click="makePayment()" id="submitMakeAPayment">Submit</button>

    <div class="clearfix"></div>
</div>

